## snort 1.0

=== DESCRIPTION ===
Package: snort
Type: Package
Title: Social Network-Analysis On Relational Tables
Version: 1.0
Date: 2011-02-12
Author: Eugene Dubossarsky <SNORT@Presciient.com> and Mark Norrie
        <mark.norrie@yisitechnologies.com>
Maintainer: Mark Norrie <mark.norrie@yisitechnologies.com>
Description: The package creates a triple store in the popular Pajek
        format.  It also supports a 3-Dimensional interactive VRML
        visualisation for network exploration.
Depends: network, sna
License: MIT
LazyLoad: yes
Packaged: 2012-10-29 08:59:47 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:59:47

## snort 1.8.4beta1

=== Makefile ===
CC=gcc
INCLUDE=-I/usr/include/pcap
CFLAGS= -ggdb -Wall -DHAVE_NCURSES -DTCPWRAPPERS $(INCLUDE)
LIBS=-lncurses -lwrap -liap -L./libiap
OBJS=sncon.o ncursed.o utils.o sigs.o
DEPS= snortnet.h sncon.h ncursed.h utils.h sigs.h
sncon: $(OBJS) $(DEPS)
	$(CC) $(CFLAGS) $(OBJS) -o sncon $(LIBS)
clean:
	rm -f *.core *.o sncon

# La-a-a-a-azy
debug:
	gdb sncon sncon.core

=== src/Makefile ===
# This Makefile produces the files spp_anomsensor.c and spp_anomsensor.h from
# the multiple Spade source files.  To make changes, edit the source files in
# this directory and run make.  This will install spp_anomsensor.c and
# spp_anomsensor.h in the directory set for INSTALL_DIR.  To skip the
# install, run "make spp_anomsensor".

INSTALL_DIR=..

spade: sensor install

sensor: spp_anomsensor.c spp_anomsensor.h

spp_anomsensor.c: anomsensor_plug.c tree.c anommem.c store.c
	echo "/* DO NOT EDIT THIS FILE. EDIT THE ORIGINAL SOURCE FILES INSTEAD AND RUN make */" > spp_anomsensor.c
	cat anomsensor_plug.c >> spp_anomsensor.c
	grep -v -h '#include "' tree.c anommem.c store.c >> spp_anomsensor.c

spp_anomsensor.h: anomsensor_plug.h anomsensor.h params.h anommem.h tree.h store.h
	echo "/* DO NOT EDIT THIS FILE. EDIT THE ORIGINAL SOURCE FILES INSTEAD AND RUN make */" > spp_anomsensor.h
	echo "#ifndef _SPP_ANOMSENSOR_H" >> spp_anomsensor.h
	echo "#define _SPP_ANOMSENSOR_H" >> spp_anomsensor.h
	grep -v -h '#include "' anomsensor.h >> spp_anomsensor.h
	cat anomsensor_plug.h >> spp_anomsensor.h
	grep -v -h '#include "' params.h anommem.h tree.h store.h >> spp_anomsensor.h
	echo "#endif /*_SPP_ANOMSENSOR_H*/" >> spp_anomsensor.h

install:
	mv spp_anomsensor.[ch] $(INSTALL_DIR)

## snort 2.9.2

=== debian/changelog ===
snort (2.9.2-3ubuntu1) precise; urgency=low

  * Merge from Debian testing. (LP: #931454)  Remaining changes:
    - debian/rules: use mysql_config to find libraries to fix FTBFS with
      multiarch libmysqlclient.
  * Dropped "Fixed typo in snort.8": patched upstream.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Tue, 14 Feb 2012 12:47:26 +0200

snort (2.9.2-3) unstable; urgency=low

  * Restore code from the 2.8.5.2-5 package onwards which was lost when
    the version of experimental was moved to the archive. 
     - Now /var/lib/snort is created through package configuration, as
       it should have been
     - Remove md5sum files when purging (Closes: #657038)
  * debian/rules: 
      - Enable IPv6 support which was optional in version 2.8 for the Snort
        binary package. This is not enabled for the database binary packages
        (snort-pgsql and snort-mysql) as the database schemas do not support
        IPv6.  (Closes: #633064) (LP: #703707)
      - Include the quilt makefile and add dependencies in -stamp and 
        clean targets
  * debian/snort.init.d: 
      - Do not abort if the package is not configured to use a database but
        the db-pending-config semaphore is found.  Remove it instead and
        continue. This can happen if a database-related package was installed,
        removed and then 'snort' is installed afterwards. 
        (LP: #316878, #639755, #722488, #754230, #798608, #876615, #816634, #891904, #918250)
  * debian/snort-{mysql,pgsql}.postrm:
      - Remove the db-pending-config semaphore file when removing the package.
        This prevents errors with the snort.init.d logic if a database package
        is left unconfigured and then replaced with the snort (non-database)
        package.
  * debian/README-database.Debian: Indicate that database support will be
    deprecated in 2.9 and document that IPv6 is not supported either
  * debian/control:
     - Add Build-Depends on quilt
     - Add VCS entries
     - Put the complete maintainer's name in UTF-8
     - Change Uploaders, add Andrew Pollock and remove Pascal Hakim
     - Update Standards Version

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 25 Jan 2012 22:24:30 +0100

snort (2.9.2-2) unstable; urgency=low

  * debian/control:  Add net-tools to Depends: of snort, snort-mysql and
    snort-pgsql since 'ifconfig' is required for the configuration script
    to work. (Closes: #656445)
  * debian/snort{,-mysql,-psql}.postinst: Create the checksum directory if it
    does not exist right at the beginning since it might not be created.
    (Closes: #656445)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 19 Jan 2012 20:34:02 +0100

snort (2.9.2-1) unstable; urgency=low

  [ Andrew Pollock ]
  * New upstream release, upload to unstable
     - Fixes CVE-2009-3641: DoS while printing specially-crafted IPv6 packet
       using the -v option (Closes: 553584)
     - The package no longer build-depends on iptables-dev and the negated list
       of architectures is no longer used (Closes: 634660)
     - debian/patches/config: Patch the configuration file to remove include
       files not currently available (Closes: #619446)
     - This version is fully supported rule-wise (LP: #872582)
  * Switch to dpkg-source 3.0 (quilt) format
  * Port across all changes from Snort 2.8.5.2-5 and later in unstable
  * debian/snort.postinst: create the directory that the checksum for
    snort.debian.conf will be created in if it doesn't already exist
  * debian/rules: tell dh_makeshlibs to not call ldconfig in the
    preinst/postinst of snort-common-libraries
  * debian/rules: don't install README.WIN32 into snort-doc

  [ Javier Fernandez-Sanguino Peña ]
  * debian/rules:
     - Set enable-zlib when configuring all packages to force it to be 
       enabled as this is required by the http_inspect preprocessor which
       is enabled by default (Closes: #631854)
     - Included (commented) the patch provided by Clint Byrum and included in
       Ubuntu to prevent snort from FTFS with libmysqlclient-dev which will be
       multiarch in the future. The patch uses mysql_config to find libraries
       to fix FTBFS with multiarch libmysqlclient. Not enabled since the
       version of libmysqlclient in unstable currently does not support the
       --variable=pkglibdir option
  * debian/snort{,-inline}.config: Use LC_ALL=C when calling ifconfig to make 
    the postinst work when ifconfig's output is internationalised (Closes: 577033)
  * debian/control: Fix link in the rules package, point to 
    http://www.snort.org/snort-rules/ (Closes: 646547)
  * debian/my/snort-stat: Modify so that alerts with Priority but without classification
    are analysed when parsing syslog information. Also set the class to 'Undefined'
    instead of leaving it empty. (Closes: 590061)
  * po-debconf translation updates:
    - Danish, provided by Joe Dalton (Closes: 638678)
    - Dutch, provided by Jeroen Schot (Closes: 654239)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 13 Jan 2012 21:54:25 +0100

snort (2.8.5.2-9.1ubuntu2) precise; urgency=low

  * Fixed typo in snort.8 (LP: #889721) 

 -- Benjamin Kerensa <bkerensa@buddha>  Mon, 23 Jan 2012 10:59:20 +0100

snort (2.8.5.2-9.1ubuntu1) precise; urgency=low

  * d/rules: use mysql_config to find libraries to fix FTBFS with
    multiarch libmysqlclient.

 -- Clint Byrum <clint@ubuntu.com>  Fri, 25 Nov 2011 17:51:21 -0800

snort (2.8.5.2-9.1build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Thu, 24 Nov 2011 00:25:25 -0800

snort (2.8.5.2-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs in libtool la file(s).
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval Closes: #621859

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jun 2011 14:08:33 +0200

snort (2.8.5.2-9) unstable; urgency=low



=== debian/control ===
Source: snort
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>
Build-Depends: 
    libnet1-dev, 
    libpcap0.8-dev, 
    libpcre3-dev, 
    debhelper (>= 5.0.0), 
    libmysqlclient15-dev | libmysqlclient-dev, 
    libpq-dev, 
    po-debconf (>= 0.5.0), 
    libprelude-dev, 
    libgnutls-dev, 
    libdumbnet-dev, 
    libdaq-dev, 
    flex, 
    bison, 
    quilt
Build-Depends-Indep: 
    texlive, 
    texlive-latex-base, 
    ghostscript
Standards-Version:  3.9.2
Homepage: http://www.snort.org/
Vcs-Git: git://git.debian.org/git/pkg-snort/pkg-snort.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-snort/pkg-snort.git

Package: snort
Architecture: any
Pre-Depends: adduser (>= 3.11)
Depends: 
    snort-common-libraries (>=${binary:Version}),
    snort-rules-default (>= ${source:Version}), 
    snort-common (>= ${source:Version}),
    debconf (>= 0.2.80) | debconf-2.0,
    rsyslog | system-log-daemon,
    logrotate,
    net-tools,
    ${shlibs:Depends},
    ${misc:Depends}
Conflicts: 
    snort-mysql, 
    snort-pgsql
Replaces: snort-common (<< 2.0.2-3)
Recommends: iproute
Suggests: snort-doc
Description: flexible Network Intrusion Detection System
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules
 based logging and can perform content searching/matching in addition
 to being used to detect a variety of other attacks and probes, such
 as buffer overflows, stealth port scans, CGI attacks, SMB probes, and
 much more. Snort has a real-time alerting capability, with alerts being
 sent to syslog, a separate "alert" file, or even to a Windows computer
 via Samba.
 .
 This package provides the plain-vanilla version of Snort and does not
 provide database (available in snort-pgsql and snort-mysql) support.

Package: snort-common
Architecture: all
Pre-Depends: adduser (>= 3.11)
Depends: 
    perl-modules, 
    debconf (>= 0.2.80) | debconf-2.0,
    lsb-base,
    ${shlibs:Depends},
    ${misc:Depends}
Conflicts: snort (<< ${binary:Version})
Replaces: snort (<< 1.8.4beta1-1)
Suggests: snort-doc
Description: flexible Network Intrusion Detection System [common files]
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules
 based logging and can perform content searching/matching in addition
 to being used to detect a variety of other attacks and probes, such
 as buffer overflows, stealth port scans, CGI attacks, SMB probes, and
 much more. Snort has a real-time alerting capability, with alerts being
 sent to syslog, a separate "alert" file, or even to a Windows computer
 via Samba.
 .
 This is a common package which holds cron jobs, tools and config files used
 by all Snort-based packages.

Package: snort-doc
Architecture: all
Depends: ${misc:Depends}
Priority: optional
Section: doc
Description: Documentation for the Snort IDS [documentation]
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules
 based logging and can perform content searching/matching in addition
 to being used to detect a variety of other attacks and probes, such
 as buffer overflows, stealth port scans, CGI attacks, SMB probes, and
 much more. Snort has a real-time alerting capability, with alerts being
 sent to syslog, a separate "alert" file, or even to a Windows computer
 via Samba.

Package: snort-mysql
Provides: snort
Architecture: any
Priority: extra
Pre-Depends: adduser (>= 3.11)
Depends: 
    snort-common-libraries (>=${binary:Version}),
    snort-rules-default (>= ${source:Version}),
    snort-common (>= ${source:Version}),
    debconf (>= 0.2.80) | debconf-2.0,
    rsyslog | system-log-daemon,
    logrotate,
    net-tools,
    ${shlibs:Depends},
    ${misc:Depends}
Recommends: iproute
Suggests: snort-doc
Conflicts: 
    snort,
    snort-pgsql
Homepage: http://www.snort.org/
Description: flexible Network Intrusion Detection System [MySQL]
 Distribution of Snort with support for logging to a MySQL database.
 .
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules
 based logging and can perform content searching/matching in addition
 to being used to detect a variety of other attacks and probes, such
 as buffer overflows, stealth port scans, CGI attacks, SMB probes, and
 much more. Snort has a real-time alerting capability, with alerts being
 sent to syslog, a separate "alert" file, or even to a Windows computer
 via Samba.

Package: snort-pgsql
Provides: snort
Architecture: any
Priority: optional
Depends: 
    snort-common-libraries (>=${binary:Version}), 
    snort-rules-default (>= ${source:Version}),
    snort-common (>= ${source:Version}),
    debconf (>= 0.2.80) | debconf-2.0,
    adduser (>= 3.11),  
    rsyslog | system-log-daemon,
    logrotate,
    net-tools,
    ${shlibs:Depends},
    ${misc:Depends}
Recommends: iproute
Suggests: snort-doc
Conflicts: 
    snort, 
    snort-mysql
Description: flexible Network Intrusion Detection System [PostgreSQL]
 Distribution of Snort with support for logging to a PostgreSQL dbase.
 .
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules
 based logging and can perform content searching/matching in addition
 to being used to detect a variety of other attacks and probes, such
 as buffer overflows, stealth port scans, CGI attacks, SMB probes, and
 much more. Snort has a real-time alerting capability, with alerts being
 sent to syslog, a separate "alert" file, or even to a Windows computer
 via Samba.

Package: snort-rules-default
Provides: snort-rules
Architecture: all
Depends: 
    debconf (>= 0.2.80) | debconf-2.0, 
    adduser (>= 3.11), 
    ${shlibs:Depends}, 
    ${misc:Depends}
Suggests: snort (>= 2.2.0) | snort-pgsql (>= 2.2.0) | snort-mysql (>= 2.2.0)
Recommends: oinkmaster
Homepage: http://www.snort.org/snort-rules/
Description: flexible Network Intrusion Detection System ruleset
 Snort default ruleset which provides a common set of accepted and test
 network intrusion detection rules developed by the Snort community.
 .
 These rules can be used as a basis for development of additional rules.

Package: snort-common-libraries
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: snort (>= 2.7.0) | snort-pgsql (>= 2.7.0) | snort-mysql (>= 2.7.0)
Conflicts: snort-common (<< 2.7.0-6)
Description: flexible Network Intrusion Detection System ruleset
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules
 based logging and can perform content searching/matching in addition
 to being used to detect a variety of other attacks and probes, such
 as buffer overflows, stealth port scans, CGI attacks, SMB probes, and
 much more. Snort has a real-time alerting capability, with alerts being
 sent to syslog, a separate "alert" file, or even to a Windows computer
 via Samba.
 .
 This package provides libraries used by all the Snort binary packages.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

include /usr/share/quilt/quilt.make

export DH_VERBOSE=1

TMP=`pwd`/debian

CFLAGS:=-g -O2 -D_GNU_SOURCE

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export CFLAGS

CONFFLAGS= --prefix=/usr \
	--bindir=\$$\{exec_prefix\}/sbin \
	--mandir=\$$\{exec_prefix\}/share/man \
	--enable-prelude 

aclocal.m4:
	aclocal-1.9 -I m4/
	automake-1.9 -i
	autoconf

clean-sources:
	# Clean the sources
	[ ! -f Makefile ] ||  $(MAKE) distclean
	cd src &&  [ ! -f Makefile ] || $(MAKE) distclean
# Remove the flag that indicated that the sources were configured
	-rm -f configure-stamp

clean: clean-sources unpatch
	dh_testdir
	dh_testroot
# Clean all the stamps
	rm -f build*stamp install-stamp configure-stamp
# Clean binaries we create when building the packages
	rm -f src/snort-mysql
	rm -f src/snort-pgsql
	rm -f src/snort-inline
	rm -f src/snort-basic
	rm -f src/snort
# Clean documents
	cd doc && [ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/snort_manual.pdf doc/snort_manual.ps doc/snort_manual.aux \
	    doc/snort_manual.log doc/snort_manual.toc
	rm -f doc/faq.idx doc/faq.out doc/faq.log doc/faq.toc doc/faq.aux \
	    doc/faq.pdf doc/faq.ps
	dh_clean

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
# Standard package support
	./configure $(CONFFLAGS) \
		--without-mysql \
		--without-postgresql \
		--enable-zlib \
		--enable-ipv6
	touch $@

build-basic: build-basic-stamp
build-basic-stamp: $(QUILT_STAMPFN) configure
# NOTE: We don't clean the sources on the first compilation
	dh_testdir
	# Basic package (no BBDD support):
	$(MAKE) 
	cp src/snort src/snort-basic
	touch $@

build-pgsql: build-pgsql-stamp
build-pgsql-stamp: $(QUILT_STAMPFN)
	dh_testdir
	sh debian/clean_sources.sh
	# PostgreSQL package:
	./configure $(CONFFLAGS) \
		--without-mysql \
		--with-postgresql \
		--with-pgsql-includes=`pg_config --includedir`  \
		--enable-zlib
	$(MAKE) 
	cp src/snort src/snort-pgsql
	touch $@

build-mysql: build-mysql-stamp
build-mysql-stamp: $(QUILT_STAMPFN)
	dh_testdir
	sh debian/clean_sources.sh
	# MySQL package:
	./configure $(CONFFLAGS) \
		--with-mysql \
		--with-mysql-libraries=`mysql_config --variable=pkglibdir` \
		--without-postgresql \
		--enable-zlib
	$(MAKE) 
	cp src/snort src/snort-mysql
	touch $@

build-inline: build-inline-stamp
build-inline-stamp: $(QUILT_STAMPFN)
	dh_testdir
	sh debian/clean_sources.sh
	# Inline support
	./configure $(CONFFLAGS) \
		--without-mysql \
		--without-postgresql \
		--enable-inline \
		--with-libipq-includes=/usr/include/libipq/ \
		--enable-zlib
	$(MAKE) 
	cp src/snort src/snort-inline
	touch $@

build-arch: build-basic build-pgsql build-mysql build-arch-stamp 
build-arch-stamp: 
	dh_testdir
	touch $@

build-indep: configure build-indep-stamp
build-indep-stamp: 
	dh_testdir
	# Build the documentation
# Only do this if we have the required binaries and files
# Note: I hate hardcoding paths here, but the buildds are stupid
	@if [ -x /usr/bin/ps2pdf -a -x /usr/bin/pslatex -a \
	     -x /usr/bin/dvips -a \
	     -e /usr/share/texmf-texlive/tex/latex/pslatex/pslatex.sty -a \
	     -e /usr/share/texmf-texlive/tex/latex/oberdiek/kvoptions.sty ] ; \
	then \
	    $(MAKE) -C doc snort_manual.pdf faq.pdf ; \
	else \
	    echo >&2 'WARNING: Not building documentation, environment not available!'; \
	fi
	touch $@

build: 
	
install: install-indep install-arch

install-arch: 
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
# Install the common binaries
	$(MAKE) install prefix=$(TMP)/snort-common/usr/
	rm -f  $(TMP)/snort-common/usr/sbin/snort
	# clean dependency_libs
	find $(TMP)/snort-common/usr/lib  -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
# Snort binaries
	install -m 755 -o root -g root src/snort-basic $(TMP)/snort/usr/sbin/snort
	install -m 755 -o root -g root src/snort-mysql $(TMP)/snort-mysql/usr/sbin/snort
	install -m 755 -o root -g root src/snort-pgsql $(TMP)/snort-pgsql/usr/sbin/snort
#	install -m 755 -o root -g root src/snort-inline   $(TMP)/snort/usr/sbin/snort
# Default config
#	install -m 644 -o root -g root `pwd`/debian/snort.common.parameters $(TMP)/snort-mysql/etc/snort/snort.common.parameters
#	install -m 644 -o root -g root `pwd`/debian/snort.common.parameters $(TMP)/snort-pgsql/etc/snort/snort.common.parameters
#	install -m 644 -o root -g root `pwd`/debian/snort.common.parameters $(TMP)/snort/etc/snort/snort.common.parameters
	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort/etc/default/snort
	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort-mysql/etc/default/snort
	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort-pgsql/etc/default/snort
#	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort-inline/etc/default/snort
#  Install init.d initscripts
	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort/etc/init.d/snort
	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort-mysql/etc/init.d/snort
	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort-pgsql/etc/init.d/snort
#	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort-inline/etc/init.d/snort
#  Install PPP initscripts
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort/etc/ppp/ip-up.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort/etc/ppp/ip-down.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort-mysql/etc/ppp/ip-up.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort-mysql/etc/ppp/ip-down.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort-pgsql/etc/ppp/ip-up.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort-pgsql/etc/ppp/ip-down.d/snort
#	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort-inline/etc/ppp/ip-up.d/snort
#	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort-inline/etc/ppp/ip-down.d/snort
# Logrotate files
	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort/etc/logrotate.d/snort
	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort-mysql/etc/logrotate.d/snort
	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort-pgsql/etc/logrotate.d/snort
#	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort-inline/etc/logrotate.d/snort
# Move libraries to the snort-common-libraries package
	mv $(TMP)/snort-common/usr/lib/ $(TMP)/snort-common-libraries/usr/
# Remove headers, as this is not a -dev package
#	mv $(TMP)/snort-common/usr/src/ $(TMP)/snort-common-libraries/usr/
	rm -rf $(TMP)/sort-common/usr/src/
# Remove useless (empty) directories
	rmdir $(TMP)/snort-pgsql/usr/share/doc/snort
	rmdir $(TMP)/snort-mysql/usr/share/doc/snort

	dh_install -s

install-indep: 
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i
# Install Debian specific, scripts and files of the snort-common
# package
	install -m 755 -o root -g root `pwd`/debian/snort.cron.daily $(TMP)/snort-common/etc/cron.daily/5snort
	install -m 755 -o root -g root `pwd`/debian/my/snort-stat $(TMP)/snort-common/usr/sbin/
	install -m 644 -o root -g root `pwd`/etc/snort.conf $(TMP)/snort-common/etc/snort/
	install -m 644 -o root -g root `pwd`/etc/unicode.map $(TMP)/snort-common/etc/snort/
	install -m 644 -o root -g root `pwd`/etc/threshold.conf $(TMP)/snort-common/etc/snort/
#  Install files of the arch-independent packages
	cp rules/*.rules $(TMP)/snort-rules-default/etc/snort/rules/
#	mkdir -p $(TMP)/snort-rules-default/usr/share/snort/

## snort 2.9.2.2

=== debian/changelog ===
snort (2.9.2.2-2) unstable; urgency=low

  * Fix "FTBFS with multiarch libmysqlclient-dev" using the
    patch supplied by Gregor Herrmann :
    + apply patch from Ubuntu / Jean-Louis Dupond:
      - debian/rules: use mysql_config to find libraries to fix FTBFS 
        with multiarch libmysqlclient.
    + debian/control: Build-Depends: drop virtual libmysqlclient15-dev,
      make libmysqlclient-dev versioned to get mysql_config's --variable= 
      switch.
    (Closes: #650060)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 02 Jun 2012 17:56:00 +0200

snort (2.9.2.2-1) unstable; urgency=low

  * New upstream version (bug fix release)
     - Provides portvar $FILE_DATA_PORTS in etc/snort.conf (Closes: #661944)
  * Acknowledge NMU (Closes: #669524)
  * debian/check-snort-conf.sh: New script to check the validity
     of the etc/snort.conf file provided
  * debian/patches/series, debian/patches/config_disabled_rules,
    debian/patches/config: Create independent patch to comment
    the rules files which are not provided in the Debian package.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 May 2012 01:01:30 +0200

snort (2.9.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correct tex .sty path (Closes: #669524)

 -- Emfox Zhou <emfox@debian.org>  Mon, 30 Apr 2012 15:57:48 +0800

snort (2.9.2-4) unstable; urgency=low

  * Fix typo (appropiate --> apppropriate) in all the Snort templates. Also
    update translations and manually unfuzzy them

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 14 Feb 2012 00:38:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: snort
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
+Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>
 Build-Depends: 
     libnet1-dev, 
     libpcap0.8-dev, 
     libpcre3-dev, 
     debhelper (>= 5.0.0), 
-    libmysqlclient15-dev | libmysqlclient-dev, 
+    libmysqlclient-dev (>= 5.5), 
     libpq-dev, 
     po-debconf (>= 0.5.0), 
     libprelude-dev,

=== debian/rules ===
--- 
+++ 
@@ -98,9 +98,9 @@
 	# MySQL package:
 	./configure $(CONFFLAGS) \
 		--with-mysql \
-		--with-mysql-libraries=`mysql_config --variable=pkglibdir` \
 		--without-postgresql \
-		--enable-zlib
+		--enable-zlib \
+		--with-mysql-libraries=`mysql_config --variable=pkglibdir` 
 	$(MAKE) 
 	cp src/snort src/snort-mysql
 	touch $@
@@ -133,8 +133,8 @@
 # Note: I hate hardcoding paths here, but the buildds are stupid
 	@if [ -x /usr/bin/ps2pdf -a -x /usr/bin/pslatex -a \
 	     -x /usr/bin/dvips -a \
-	     -e /usr/share/texmf-texlive/tex/latex/pslatex/pslatex.sty -a \
-	     -e /usr/share/texmf-texlive/tex/latex/oberdiek/kvoptions.sty ] ; \
+	     -e /usr/share/texlive/texmf-dist/tex/latex/pslatex/pslatex.sty -a \
+	     -e /usr/share/texlive/texmf-dist/tex/latex/oberdiek/kvoptions.sty ] ; \
 	then \
 	    $(MAKE) -C doc snort_manual.pdf faq.pdf ; \
 	else \

## snort 2.9.5.3

=== debian/changelog ===
snort (2.9.5.3-3) unstable; urgency=low

  * debian/control: Add texlive-binaries and texlive-font-utils to
     Build-Depends-Indep to make sure that buildds have the binaries
     required to build the documentation as suggested by Hideki Yamane.
     Kept the texlive metapackage however in debian/control just int case.
     (Closes: 713254) 
  * Debconf updated Translations:
    - Updated Russian translation, contributed by Yuri Kozlov (Closes: 722987)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 21 Oct 2013 19:39:20 +0200

snort (2.9.5.3-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-english
    team as part of the Smith review project. (Closes: 720061)
  * Debconf updated Translations:
    - Update Spanish translation, contributed by Javier Fernandez-Sanguino
    - Updated Russian translation, contributed by Yuri Kozlov (Closes: 722987)
    - Updated German translation, contributed by Chris Leick (Closes: 723769)
    - Updated Portuguese translation, contributed by Miguel Figueiredo
      (Closes: 723779)
    - Add Simplified Chinese debconf, contributed by Yi Mingjing 
      (Closes: 723818)
    - Updated Czech translation, contributed by Michal Šimůnek 
      (Closes: 724289)
    - Updated French translation, contributed by JP Guillonneau 
      (Closes: 724300)
    - Updated Janapese translation (Closes: 724706)
    - Updated Italian translation provided by Daniele Forsi (Closes: 724707)
    - Updated Danish translation provided by  Joe Hansen (Closes: 724932)
    - Updated Swedish translation provided by Martin Bagge (Closes: 725104)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 24 Sep 2013 03:39:00 +0200

snort (2.9.5.3-1) unstable; urgency=low

  * New upstream release.
    - Remove faq from the build since it is no longer provided upstream
  * Lintian fix typo in debian/snort-rules-default.README.Debian
  * debian/patches: Refresh all patches with new upstream
     - config_disabled_rules: Disable more .rules files which are not
       provided in the upstream sources (but might be in the VRT
       Sourcefire)
  * debian/control: Add latex2html to Build-Depends-Indep as the html.sty
    file is required for building the documentation

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 16 Aug 2013 20:51:02 +0200

snort (2.9.3.1-1) experimental; urgency=low

  * New upstream release, target towards experimental due to the current freeze.
  * The most relevant change in this release is that support by Snort to
    output directly in a database has been dropped, which means that the
    snort-pgsql and snort-mysql packages are no longer possible. This 
    is documented in the NEWS file. Also relevant is that support for
    Prelude is no longer available.
  * Since this release does not include the snort database packages any
    longer, bugs associated with them are no longer relevant
    (Closes: #526511, #567495, #292699, #276565, #527113, #388963, #388962,
    #321046, #369951)
  * debian/rules: Update the configuration options to adjust to those used
    in the snort.conf script provided upstream
  * debian/patches/fix_upstream_typos: Do typo fixes to more source files
  * debian/patches/config: Add more comments in the default configuration
    file, enable at least one output plugin (unified2) and set some
    configurations values as recommended in Jason Weir's "Building a
    Debian\Snort based IDS" available in http://www.snort.org/docs
    (Closes: #193544)
  * debian/patches/*: Refresh the patches to apply to the new upstream release
  * debian/po/*: Refresh all templates since the previous templates for
    database configuration have gone along with the snort database 'flavor'
    packages.
  * debian/snort-common.preinst: Remove the /etc/snort/database.conf on
    upgrades
  * debian/snort.preinst: Control output of usermod
  * debian/snort-common.{config,templates}: 
      - Add code to detect old configuration files with content (which might
        happen on upgrades to 2.9.3 coming from the snort-mysql or snort-pgsql
        packages) and warn the user if they exist.
      - Update the list of valid preprocessors for this release

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 08 Aug 2012 22:12:35 +0200

snort (2.9.2.2-3) unstable; urgency=medium

  [ Upload target towards Wheezy fixing some important bugs
    and substantially improving the information provided on the
    packages to clarify user expectations ]
  * Acknowledge previous NMU
  * debian/patches/config: Update the patch to: 
     - use absolute paths instead of relative paths to point to
       the white list and black list used by the reputation
       pre-processor.
     - disable the reputation as we do not ship any white/black lists
       by default (which causes it to fail at startup) and also
       because this preprocessor is experimental.

       Both changes fix the bug that prevented the package from being
       configured due to errors when starting up Snort with the 
       default configuration (Closes: #677810)

      - Add a comment to /etc/snort/snort.conf documenting for users
        reading the file that preinstalled rules are surely out of date.

  * debian/patches/config_disabled_rules: Comment out shellcode rules as these
    have a huge impact in performance unless properly tuned.
  * debian/patches/rules: Fix the definition of many SIP rules (defined
    as 'alert ip any any'. These were generating a lot of false positives
    in environment were enabled. Regardless of the change comment out SIP
    rules since they are outdate can generate many false alarms unless
    properly defined.  (Closes: #626596, #680303).
  * debian/control: Adjust description of snort-rules-default to indicate
    users that the ruleset provided should not be considered up-to-date.
    Encourage users to obtain additional/upgraded rules elsewhere.


=== debian/control ===
Source: snort
Section: net
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>
Build-Depends: 
    libnet1-dev, 
    libpcap0.8-dev, 
    libpcre3-dev, 
    debhelper (>= 5.0.0), 
    po-debconf (>= 0.5.0), 
    libgnutls-dev, 
    libdumbnet-dev, 
    libdaq-dev, 
    flex, 
    bison
Build-Depends-Indep: 
    texlive, 
    texlive-binaries, 
    texlive-latex-base, 
    texlive-font-utils,
    latex2html,
    ghostscript
Standards-Version:  3.9.2
Homepage: http://www.snort.org/
Vcs-Git: git://git.debian.org/git/pkg-snort/pkg-snort.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-snort/pkg-snort.git

Package: snort
Architecture: any
Pre-Depends: adduser (>= 3.11)
Depends: 
    snort-common-libraries (>=${binary:Version}),
    snort-rules-default (>= ${source:Version}), 
    snort-common (>= ${source:Version}),
    debconf (>= 0.2.80) | debconf-2.0,
    rsyslog | system-log-daemon,
    logrotate,
    net-tools,
    ${shlibs:Depends},
    ${misc:Depends}
Conflicts: 
    snort-mysql, 
    snort-pgsql
Replaces: snort-common (<< 2.0.2-3)
Recommends: iproute2
Suggests: snort-doc
Description: flexible Network Intrusion Detection System
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This package provides the plain-vanilla version of Snort.

Package: snort-common
Architecture: all
Pre-Depends: adduser (>= 3.11)
Depends: 
    perl-modules, 
    debconf (>= 0.2.80) | debconf-2.0,
    lsb-base,
    ${shlibs:Depends},
    ${misc:Depends}
Conflicts: snort (<< ${binary:Version})
Replaces: snort (<< 1.8.4beta1-1)
Suggests: snort-doc
Description: flexible Network Intrusion Detection System - common files
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This is a common package which holds cron jobs, tools, and config files
 used by all the different package flavors.

Package: snort-doc
Architecture: all
Depends: ${misc:Depends}
Priority: optional
Section: doc
Description: flexible Network Intrusion Detection System - documentation
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This package provides the documentation for Snort.

Package: snort-rules-default
Provides: snort-rules
Architecture: all
Depends: 
    debconf (>= 0.2.80) | debconf-2.0, 
    adduser (>= 3.11), 
    ${shlibs:Depends}, 
    ${misc:Depends}
Suggests: snort (>= 2.2.0) | snort-pgsql (>= 2.2.0) | snort-mysql (>= 2.2.0)
Recommends: oinkmaster
Homepage: http://www.snort.org/snort-rules/
Description: flexible Network Intrusion Detection System - ruleset
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This is the Snort default ruleset, which provides a basic set of network
 intrusion detection rules developed by the Snort community. They can be
 used as a basis for development of additional rules. Users using Snort to
 defend networks in production environments are encouraged to update their
 local rulesets as described in the included documentation or using the
 oinkmaster package.

Package: snort-common-libraries
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: snort (>= 2.7.0) | snort-pgsql (>= 2.7.0) | snort-mysql (>= 2.7.0)
Conflicts: snort-common (<< 2.7.0-6)
Description: flexible Network Intrusion Detection System - libraries
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This package provides libraries used by all the Snort binary packages.

## snort 2.9.6.0

=== debian/changelog ===
snort (2.9.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/patches/documentation: Removed.
  * debian/patches/fix_upstream_typos: Updated.
  * debian/control:
    - Updated Standards-Version to 3.9.5.
    - Set build-dependency for libdaq-dev to 2.0.

 -- Jonathan Davies <jonathan.davies@canonical.com>  Fri, 04 Apr 2014 00:14:23 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     po-debconf (>= 0.5.0), 
     libgnutls-dev, 
     libdumbnet-dev, 
-    libdaq-dev, 
+    libdaq-dev (>= 2.0), 
     flex, 
     bison
 Build-Depends-Indep: 
@@ -21,7 +21,7 @@
     texlive-font-utils,
     latex2html,
     ghostscript
-Standards-Version:  3.9.2
+Standards-Version:  3.9.5
 Homepage: http://www.snort.org/
 Vcs-Git: git://git.debian.org/git/pkg-snort/pkg-snort.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-snort/pkg-snort.git

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Rules file for Snort, developed by Javier Fernandez-Sanguino
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
#

export DH_VERBOSE=1

TMP=`pwd`/debian

CFLAGS:=-g -O2 -D_GNU_SOURCE

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export CFLAGS

CONFFLAGS= --prefix=/usr \
	--bindir=\$$\{exec_prefix\}/sbin \
	--mandir=\$$\{exec_prefix\}/share/man \
	--enable-zlib \
	--enable-ipv6 \
	--enable-gre \
	--enable-mpls \
	--enable-targetbased \
	--enable-ppm \
	--enable-perfprofiling \
	--enable-active-response \
	--enable-normalizer \
	--enable-reload \
	--enable-react \
	--enable-flexresp3

aclocal.m4:
	aclocal-1.9 -I m4/
	automake-1.9 -i
	autoconf

clean-sources:
	# Clean the sources
	[ ! -f Makefile ] ||  $(MAKE) distclean
	cd src &&  [ ! -f Makefile ] || $(MAKE) distclean
# Remove the flag that indicated that the sources were configured
	-rm -f configure-stamp

clean: clean-sources
	dh_testdir
	dh_testroot
# Clean all the stamps
	rm -f build*stamp install-stamp configure-stamp
# Clean all the different binaries we have created when building the packages'
# flavors
	rm -f src/snort-basic
	rm -f src/snort
# Clean documents
	cd doc && [ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/snort_manual.pdf doc/snort_manual.ps doc/snort_manual.aux \
	    doc/snort_manual.log doc/snort_manual.toc
	dh_clean

configure: configure-stamp
configure-stamp:
	dh_testdir
# Standard package configuration:
	./configure $(CONFFLAGS) 
	touch $@

# Basic 'flavor' package 
#
# Other 'flavors' (with different compilation flags) can be generated using
# this as a reference
build-basic: build-basic-stamp
build-basic-stamp: configure-stamp
# NOTE: We don't clean the sources on the first compilation
	dh_testdir
	$(MAKE) 
	cp src/snort src/snort-basic
	touch $@

# This is an example of a 'flavor'. A flavor
# adds support for some specific configuration flags
# that are not used in the basic flavor
#
#build-flavor: build-flavor-stamp
#build-flavor-stamp:
#       dh_testdir
#       sh debian/clean_sources.sh
#       # Support for blah, blah, blah
#       ./configure $(CONFFLAGS) \
#               --enable-some-esoteric-option 
#       $(MAKE)
#       cp src/snort src/snort-flavor
#       touch $@
# Note: the binary generated needs to be moved to the proper 'flavor' package too


build-arch: build-arch-stamp 
build-arch-stamp: build-basic-stamp
	dh_testdir
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir
	# Build the documentation
# Only do this if we have the required binaries and files
# Note: I hate hardcoding paths here, but the buildds are stupid
	@if [ -x /usr/bin/ps2pdf -a -x /usr/bin/pslatex -a \
	     -x /usr/bin/dvips -a \
	     -e /usr/share/texlive/texmf-dist/tex/latex/pslatex/pslatex.sty -a \
	     -e /usr/share/texlive/texmf-dist/tex/latex/oberdiek/kvoptions.sty ] ; \
	then \
	    $(MAKE) -C doc snort_manual.pdf ; \
	else \
	    echo >&2 'WARNING: Not building documentation, environment not available!'; \
	fi
	touch $@

build: build-arch build-indep
	
install: install-indep install-arch

install-arch: 
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
# Install the common binaries
	$(MAKE) install prefix=$(TMP)/snort-common/usr/
	rm -f  $(TMP)/snort-common/usr/sbin/snort
	# clean dependency_libs
	find $(TMP)/snort-common/usr/lib  -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
# Snort binaries
	install -m 755 -o root -g root src/snort-basic $(TMP)/snort/usr/sbin/snort
# Default config
#	install -m 644 -o root -g root `pwd`/debian/snort.common.parameters $(TMP)/snort/etc/snort/snort.common.parameters
	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort/etc/default/snort
#  Install init.d initscripts
	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort/etc/init.d/snort
#  Install PPP initscripts
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort/etc/ppp/ip-up.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort/etc/ppp/ip-down.d/snort
# Logrotate files
	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort/etc/logrotate.d/snort
# Move libraries to the snort-common-libraries package
	mv $(TMP)/snort-common/usr/lib/* $(TMP)/snort-common-libraries/usr/lib/
	rmdir $(TMP)/snort-common/usr/lib/
# Remove headers, as this is not a -dev package
#	mv $(TMP)/snort-common/usr/src/ $(TMP)/snort-common-libraries/usr/
	rm -rf $(TMP)/sort-common/usr/src/
	dh_install -s

install-indep: 
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i
# Install Debian specific, scripts and files of the snort-common
# package
	install -m 755 -o root -g root `pwd`/debian/snort.cron.daily $(TMP)/snort-common/etc/cron.daily/5snort
	install -m 755 -o root -g root `pwd`/debian/my/snort-stat $(TMP)/snort-common/usr/sbin/
	install -m 644 -o root -g root `pwd`/etc/snort.conf $(TMP)/snort-common/etc/snort/
	install -m 644 -o root -g root `pwd`/etc/unicode.map $(TMP)/snort-common/etc/snort/
	install -m 644 -o root -g root `pwd`/etc/threshold.conf $(TMP)/snort-common/etc/snort/
#  Install files of the arch-independent packages
	cp rules/*.rules $(TMP)/snort-rules-default/etc/snort/rules/
#	mkdir -p $(TMP)/snort-rules-default/usr/share/snort/
#	install -m 644 -o root -g root `pwd`/debian/oldrules.md5 $(TMP)/snort-rules-default/usr/share/snort/oldrules.md5
#	install -m 644 etc/sid-msg.map $(TMP)/snort-rules-default/etc/snort/
	install -m 644 etc/gen-msg.map $(TMP)/snort-rules-default/etc/snort/
	install -m 644 etc/community-sid-msg.map $(TMP)/snort-rules-default/etc/snort/
	install -m 644 etc/classification.config $(TMP)/snort-rules-default/etc/snort/
	install -m 644 etc/reference.config $(TMP)/snort-rules-default/etc/snort/
# Remove useless directories
	rm -rf $(TMP)/snort-common/etc/ppp
	rm -rf $(TMP)/snort-doc/usr/share/doc
	dh_install -i

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i -XREADME.WIN32
	dh_installexamples -i
	dh_installdebconf -i
	dh_installman -i 
# Other adjustments
	rm -rf $(TMP)/snort-doc/usr/share/doc/snort-doc/CVS
	rm -rf $(TMP)/snort-doc/usr/share/doc/snort-doc/contrib/CVS
	chmod +x $(TMP)/snort-common/usr/share/doc/snort-common/examples/snort*
	cp -a doc/signatures/ $(TMP)/snort-doc/usr/share/doc/snort-doc/
	rm -rf $(TMP)/snort-doc/usr/share/man
	rm -rf $(TMP)/snort-rules-default/usr/share/man
	rm -rf $(TMP)/snort-common/usr/share/man/man8/snort.*
	dh_installchangelogs -i ChangeLog
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installdebconf -a
	dh_installman -a
	rm -rf $(TMP)/snort-rules-default/usr/share/man
	rm -f $(TMP)/snort/usr/share/man/man8/snort-stat.*
	rm -f $(TMP)/snort-common/usr/share/man/man8/snort.*
	dh_installchangelogs -a ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -Xsnort-common-libraries
	dh_installdeb -a
	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

update-rules:
	mv rules rules.old
	wget -q -O ../snortrules-snapshot-2_2.tar.gz http://www.snort.org/dl/rules/snortrules-snapshot-2_2.tar.gz
	tar -zxf ../snortrules-snapshot-2_2.tar.gz
	if [ -d rules ] ; then mv rules.old/Makefile* rules/; rm -rf rules.old; fi
